OpenTTD Source: CalendarTime Class Reference

OpenTTD Source 15.3

Static Public Attributes
CalendarTime Class Reference

Storage class for Calendar time constants. More...

`#include <timer_game_calendar.h>`

Inheritance diagram for CalendarTime:

## Static Public Attributes
static constexpr int | DEF_MINUTES_PER_YEAR = 12
static constexpr int | FROZEN_MINUTES_PER_YEAR = 0
static constexpr int | MAX_MINUTES_PER_YEAR = 10080
Static Public Attributes inherited from TimerGameConst< struct Calendar >
static constexpr int | DAYS_IN_YEAR
| days per year
static constexpr int | DAYS_IN_LEAP_YEAR
| sometimes, you need one day more...
static constexpr int | MONTHS_IN_YEAR
| months per year
static constexpr int | SECONDS_PER_DAY
| approximate seconds per day, not for precise calculations
static constexpr TimerGame< struct Calendar >::Year | ORIGINAL_BASE_YEAR
| The minimum starting year/base year of the original TTD.
static constexpr TimerGame< struct Calendar >::Year | ORIGINAL_END_YEAR
| The original ending year.
static constexpr TimerGame< struct Calendar >::Year | ORIGINAL_MAX_YEAR
| The maximum year of the original TTD.
static constexpr TimerGame< struct Calendar >::Year | MAX_YEAR
| MAX_YEAR, nicely rounded value of the number of years that can be encoded in a single 32 bits date, about 2^31 / 366 years.
static constexpr TimerGame< struct Calendar >::Year | MIN_YEAR
| The absolute minimum year in OTTD.
static constexpr TimerGame< struct Calendar >::Year | DEF_START_YEAR
| The default starting year.
static constexpr TimerGame< struct Calendar >::Year | DEF_END_YEAR
| The default scoring end year.
static constexpr TimerGame< struct Calendar >::Date | DAYS_TILL_ORIGINAL_BASE_YEAR
| The date of the first day of the original base year.
static constexpr TimerGame< struct Calendar >::Date | MAX_DATE
| The date of the last day of the max year.
static constexpr TimerGame< struct Calendar >::Date | MIN_DATE
| The date on January 1, year 0.
static constexpr TimerGame< struct Calendar >::Year | INVALID_YEAR
| Representation of an invalid year.
static constexpr TimerGame< struct Calendar >::Date | INVALID_DATE
| Representation of an invalid date.

## Detailed Description

Storage class for Calendar time constants.

Definition at line 44 of file timer_game_calendar.h.

## Field Documentation

## ◆ DEF_MINUTES_PER_YEAR

constexpr int CalendarTime::DEF_MINUTES_PER_YEAR = 12
| staticconstexpr

Definition at line 46 of file timer_game_calendar.h.

## ◆ FROZEN_MINUTES_PER_YEAR

constexpr int CalendarTime::FROZEN_MINUTES_PER_YEAR = 0
| staticconstexpr

Definition at line 47 of file timer_game_calendar.h.

## ◆ MAX_MINUTES_PER_YEAR

constexpr int CalendarTime::MAX_MINUTES_PER_YEAR = 10080
| staticconstexpr

Definition at line 48 of file timer_game_calendar.h.

The documentation for this class was generated from the following file:

- src/timer/timer_game_calendar.h